# frozen_string_literal: true

require 'test_helper'

describe BridgeAPI::Client::Affiliation do
  before do
    @client = BridgeAPI::Client.new(prefix: 'http://test.bridge.com', token: 'test_token')
  end

  it 'should list the affiliations' do
    response = @client.list_affiliations(item_id: 1, item_type: 'CourseTemple')
    expect(response.status).to(eq(204))
  end

  it 'should share the affiliation in bulk' do
    response = @client.share_affiliations_batch
    expect(response.status).to(eq(204))
  end
end
