# frozen_string_literal: true

require 'test_helper'

describe BridgeAPI::Client::CloneObject do
  before do
    @client = BridgeAPI::Client.new(prefix: 'http://test.bridge.com', token: 'test_token')
  end

  it 'should clone an object' do
    response = @client.clone_objects(
      clone_objects: [
        {
          source_type: 'CourseTemplate',
          source_id: 1
        }
      ]
    ).first
    expect(response['destination_id']).to(eq(1))
  end

  it 'should get the clone_object' do
    response = @client.clone_object_status(1).first
    expect(response['state']).to(eq('completed'))
  end
end
