# frozen_string_literal: true

require 'test_helper'

describe BridgeAPI::Client::Role do
  before do
    @client = BridgeAPI::Client.new(prefix: 'http://test.bridge.com', token: 'test_token')
  end

  it 'should get all roles' do
    response = @client.get_all_roles
    expect(response.members.size).to eq(1)
  end

  it 'should get a role' do
    response = @client.get_role(1)
    expect(response.members.size).to eq(1)
  end

  it 'should create a role' do
    response = @client.create_role({})
    expect(response.members.size).to eq(1)
  end

  it 'should delete a role' do
    response = @client.delete_role(1, {})
    expect(response.status).to eq(204)
  end
end
